%define bzinstallprefix %{_datadir}

Name:		bugzilla-testopia
Version:	2.5
Release:	3%{?dist}
Summary:	Testopia is a test case management extension for Bugzilla.

Group:		Applications/Publishing
License:	MPL
URL:		https://developer.mozilla.org/en-US/docs/Mozilla/Bugzilla/Testopia
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/webtools/testopia/testopia-%{version}-BUGZILLA-4.2.tar.gz
Patch0: testopia.patch 
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Disable the automatic requirements creation as it breaks for us
AutoReq:	no

# Manual requirements
Requires:	bugzilla >= 4.2.0
Requires:	perl-Text-CSV >= 1.06
Requires:	perl-JSON >= 2.10
Requires:	perl-Text-Diff >= 0.35


%description
Testopia is a test case management extension for Bugzilla. It is
designed to be a generic tool for tracking test cases, allowing for
testing organizations to integrate bug reporting with their test case
run results. Though it is designed with software testing in mind, it can
be used to track testing on virtually anything in the engineering
process.


%prep
%setup -q -c
%patch0 -p1

%build
# Remove the execute bit from files that don't start with #!
for file in `find -type f -perm /111`; do
  if head -1 $file | egrep -v '^\#!' &>/dev/null; then
    chmod a-x $file
  fi
done
# Ensure shebang shell scripts have executable bit set
for file in `find -type f -perm /664`; do
  if head -1 $file | egrep '^\#!' &>/dev/null; then
    chmod a+x $file
  fi
done
mv extensions/Testopia/README ./
mv extensions/Testopia/ChangeLog ./



%install
rm -rf %{buildroot}
mkdir -p ${RPM_BUILD_ROOT}/%{bzinstallprefix}/bugzilla
cp -pr * ${RPM_BUILD_ROOT}/%{bzinstallprefix}/bugzilla
rm -f ${RPM_BUILD_ROOT}/%{bzinstallprefix}/bugzilla/{README,ChangeLog}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,apache,-)
%doc README ChangeLog
%{bzinstallprefix}/bugzilla/


%changelog
* Thu Oct 10 2013 Andrew Grimberg <agrimberg@linuxfoundation.org> - 2.5-1
- Initial package
